software-center crashed with TypeError in _on_property_changed(): could not convert type dbus.Int64 to (null) required for parameter 0

Bug #981124 reported by Dean Sellis on 2012-04-13
40
This bug affects 10 people
Affects Status Importance Assigned to Milestone
aptdaemon (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Quantal
Medium
Unassigned
software-center (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

TEST CASE:
1. use a i386 version of ubuntu 12.04
2. install a really big package using software-center or a really large update
3. verify that it fails
4. install the version from precise-proposed
5. reboot
6. repeat step 2 and verify that it works this time

Crash happened after installing the Synergy 1.4.8 beta package.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: software-center 5.1.14.2
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu2
Architecture: i386
CrashCounter: 1
Date: Fri Apr 13 15:08:45 2012
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center /home/username/Downloads/synergy-1.4.8-Linux-i686.deb
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center', '/home/username/Downloads/synergy-1.4.8-Linux-i686.deb']
SourcePackage: software-center
Title: software-center crashed with TypeError in _on_property_changed(): could not convert type dbus.Int64 to (null) required for parameter 0
UpgradeStatus: Upgraded to precise on 2012-03-07 (36 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Dean Sellis (dean-gianthead) wrote :
tags: removed: need-duplicate-check
Michael Vogt (mvo) wrote :

Unfortunately the backtrace cut off some information, but this appears that this is happening on a property sync with aptdaemon.

Is this problem reproducable for you? Or did it only happend once?

Changed in aptdaemon (Ubuntu):
status: New → Incomplete
Changed in software-center (Ubuntu):
status: New → Incomplete
Changed in aptdaemon (Ubuntu):
importance: Undecided → Medium
Changed in software-center (Ubuntu):
importance: Undecided → Medium
Michael Vogt (mvo) wrote :

This shows up on errors.ubuntu.com in the software-center subpage as the top #5 crasher, so I mark
it as confirmed as its definitely affecting more people.

visibility: private → public
Changed in aptdaemon (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Triaged
Michael Vogt (mvo) wrote :

I assume the issue here is that sometimes the value for "Space" is None, a workaround might be:

=== modified file 'aptdaemon/client.py'
--- aptdaemon/client.py 2012-05-08 22:44:15 +0000
+++ aptdaemon/client.py 2012-06-05 07:05:13 +0000
@@ -638,7 +638,7 @@
             self.download = value
             self.emit("download-changed", value)
         elif property_name == "Space":
- self.space = value
+ self.space = value or 0
             self.emit("space-changed", value)
         elif property_name == "HttpProxy":
             self.http_proxy = value

But I don't see in the code how this could happen that trans.space is None.

Sebastian Heinlein (glatzor) wrote :

It could be a problem with the space-changed signal. It uses a GObject.TYPE_INT as parameter. It should be changed to TYPE_INT64. I will fix those.

Changed in aptdaemon (Ubuntu):
status: Triaged → Fix Committed
Giovanni Mellini (merlos) wrote :

I have

Giovanni Mellini (merlos) wrote :

Sorry.
I have the same problem while trying to install Amnesia from last Humble Bundle via SC.

Michael Vogt (mvo) on 2012-06-14
description: updated
Changed in software-center (Ubuntu Precise):
status: New → Invalid
Changed in software-center (Ubuntu Quantal):
status: Incomplete → Invalid
Changed in aptdaemon (Ubuntu Precise):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aptdaemon - 0.45+bzr846-0ubuntu1

---------------
aptdaemon (0.45+bzr846-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:
    - Python3 porting from lp:~aptdaemon-developers/aptdaemon/py3k
    - Fix package status enum description for an unknown status
      which resulted in a type mismatch in the gettext call
      (fixes LP: #900982)
    - Still report available blocked updates if the dependency system
      is broken (final partial fix to LP: #932581)
    - client: Use INT64 in signals where required (Fixes LP: #981124)
    - use lintian profiles instead of tags
  * debian/aptdaemon.install:
    - use the new lintian profiles instead of the tags
  * debian/patches/series:
    - drop patches, applied upstream
 -- Michael Vogt <email address hidden> Thu, 14 Jun 2012 12:27:44 +0200

Changed in aptdaemon (Ubuntu Quantal):
status: Fix Committed → Fix Released

Hello Dean, or anyone else affected,

Accepted aptdaemon into precise-proposed. The package will build now and be available in a few hours. Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users. If this package fixes the bug for you please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case details of your testing will help us make a better decision. Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in aptdaemon (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Michael Vogt (mvo) wrote :

I installed the 4gb psychonauts game using the new aptdaemon.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package aptdaemon - 0.43+bzr805-0ubuntu2

---------------
aptdaemon (0.43+bzr805-0ubuntu2) precise-proposed; urgency=low

  * debian/patches:
    - Add fix-lp-971748: Fixes to the /proc/net based network monitor to
      not fail on systems without NetworkManager running (fixes LP: #971748))
    - Add fix-lp-932581: Fix GetUpdates on system with broken dependencies
      (fixes LP: #932581)
    - Add fix-lp-981124: Fix type mismatches in the client signals to not
      fail on very large packages (fixes LP: #981124)
    - Add fix-lp-900982: Fix return type of get_package_status_from_enum
      (fixes LP: #900982)
 -- Sebastian Heinlein <email address hidden> Tue, 12 Jun 2012 09:38:14 +0200

Changed in aptdaemon (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers